Bug 8747 - Предлагаю включить поддержку non latin символов по умолчанию
: Предлагаю включить поддержку non latin символов по умолчанию
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/darcs)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-27 16:45 by
Modified: 2007-09-20 02:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-27 16:45:23
Для того, чтобы darcs мог выводить в читабельном виде русский текст, требуется 
указывать 
export DARCS_DONT_ESCAPE_ISPRINT=1 
Предлагается сделать это умолчанием внутри пакета - после установки программа 
не должна требовать настроек.
------- Comment #1 From 2005-12-27 21:41:15 -------
Да, сделаю.
------- Comment #2 From 2006-01-17 21:25:14 -------
Я думаю, чтобы оно работалов utf-8 локалях, я также сделаю
DARCS_DONT_ESCAPE_8BIT=1 по умолчанию. Значения будут вписаны в код. При
необходимости, эти параметры можно будет отключить, написав
DARCS_DONT_ESCAPE_8BIT=0. Должно сработать. Сейчас пропатчу и проверю.
------- Comment #3 From 2006-01-17 22:09:11 -------
fixed in 1.0.5-alt1